// BHOCOP Version 1.0
// Copyright (c) 2001 Ziff Davis Media, Inc.
// All rights reserved.
// First Published in PC Magazine, US Edition, May 22, 2001.
// Programmer: Patrick Philippot

#include "stdafx.h"
#include "BHOCop.h"
#include "BHOCopDlg.h"
#include "LoadConfigDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLoadConfigDlg dialog


CLoadConfigDlg::CLoadConfigDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CLoadConfigDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CLoadConfigDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CLoadConfigDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CLoadConfigDlg)
	DDX_Control(pDX, IDC_CFGNAME, m_CfgName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CLoadConfigDlg, CDialog)
	//{{AFX_MSG_MAP(CLoadConfigDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLoadConfigDlg message handlers

BOOL CLoadConfigDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	if (!m_sCurrentName.IsEmpty() && !m_sIniFilename.IsEmpty())
	{
		TCHAR szBuffer[2048];

		// Get list of entries
		GetPrivateProfileString(CBHOCopDlg::g_szIniCfgSection, NULL, _T(""), szBuffer, sizeof(szBuffer), m_sIniFilename);
		
		TCHAR	szCfgName[MAX_PATH];
		TCHAR*	lpCfgName = szBuffer;

		// For each entry, get Config name and add entry to combo box
		while (*lpCfgName != (TCHAR) '\0')
		{
			_tcscpy(szCfgName, lpCfgName);
			lpCfgName += _tcslen(szCfgName) + 1;
			m_CfgName.AddString(szCfgName);
		}

		// Now select current config
		int nIndex = m_CfgName.FindString(0, m_sCurrentName);
		if (nIndex != CB_ERR)
			m_CfgName.SetCurSel(nIndex);
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CLoadConfigDlg::OnOK() 
{
	// Pass config name back to caller
	m_CfgName.GetLBText(m_CfgName.GetCurSel(), m_sCurrentName);
	
	CDialog::OnOK();
}
