// BHOCOP Version 1.0
// Copyright (c) 2001 Ziff Davis Media, Inc.
// All rights reserved.
// First Published in PC Magazine, US Edition, May 22, 2001.
// Programmer: Patrick Philippot

#include "stdafx.h"
#include <AtlBase.h>
#include "RegKeyEx.h"

LONG CRegKeyEx::EnumValue(DWORD dwIndex, LPTSTR lpszValueName, LPDWORD lpdwValueSize, LPDWORD lpdwType, LPBYTE lpData, LPDWORD lpdwDataSize)
{
	_ASSERTE(m_hKey != NULL);
	_ASSERTE(lpszValueName != NULL);
	_ASSERTE(lpdwValueSize != NULL);
	_ASSERTE(lpdwType != NULL);
	_ASSERTE(lpData != NULL);
	_ASSERTE(lpdwDataSize != NULL);
	
	return(RegEnumValue(m_hKey, dwIndex, lpszValueName, lpdwValueSize, NULL, lpdwType, lpData, lpdwDataSize));
}

LONG CRegKeyEx::EnumKey(DWORD dwIndex, LPTSTR lpszKeyName, DWORD dwBufSize)
{
	_ASSERTE(lpszKeyName != NULL);

	return(RegEnumKey(m_hKey, dwIndex, lpszKeyName, dwBufSize));
}

LONG CRegKeyEx::QueryValue(LPBYTE pBuffer, LPSTR lpszValueName, DWORD* pdwCount)
{
	ATLASSERT(pdwCount != NULL);
	DWORD dwType = NULL;
	LONG lRes = RegQueryValueEx(m_hKey, (LPTSTR)lpszValueName, NULL, &dwType, pBuffer, pdwCount);
	ATLASSERT((lRes!=ERROR_SUCCESS) || (dwType == REG_BINARY));
	return lRes;
}